# Enum Class TpaRequestComponent.RequestType

java.lang.Object
java.lang.Enum<TpaRequestComponent.RequestType>
net.miarma.hystuff.component.TpaRequestComponent.RequestType

All Implemented Interfaces:
  `Serializable, Comparable<TpaRequestComponent.RequestType>, Constable`

Enclosing class:
  `TpaRequestComponent`

public static enum TpaRequestComponent.RequestType extends Enum<TpaRequestComponent.RequestType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TPA`
`TPA_HERE`

## Method Summary

Modifier and Type
Method
Description
`static TpaRequestComponent.RequestType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TpaRequestComponent.RequestType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TPA

public static final TpaRequestComponent.RequestType TPA

### TPA_HERE

public static final TpaRequestComponent.RequestType TPA_HERE

## Method Details

### values

public static TpaRequestComponent.RequestType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TpaRequestComponent.RequestType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null